/**/
/*                             D E F I N E S										*/
/**/
#define GD_JUMPSCR	10								// Define for our JumpScrGad.

#define VBYTE			0								// Defines for VolDisplayType.
#define VKILOBYTE		1								// do
#define VMEGABYTE		2								// do
#define VAUTO			3								// do

#define PGMNAMELEN	50								// Maximum bytes ProgramName will
															// hold.

/*------------------*/
/* AmigaGuide menu. */
/*------------------*/
#define MCMD_ABOUT			1						// Defines for menu commands.
#define MCMD_JUMP				2						// do
#define MCMD_WATCHERPREFS	3						// do
#define MCMD_HIDE				4						// do
#define MCMD_QUIT				5						// do
#define MCMD_SLB				6						// do
#define MCMD_APPINFO			7						// do

/*----------*/
/* Gadgets: */
/*----------*/
#define GADMAX			5								// Maximum number of gadgets.
#define GD_CYCLE		10								// Type of display in listview.
#define GD_LISTVIEW	11								// List of items.
#define GD_BUTTON		12								// Update button.
#define GD_SLACK		5								// Slack between gadgets.

/*--------------*/
/* Object type: */
/*--------------*/
#define OBJ_SCREEN	0								// These are the type of objects/Lists
#define OBJ_LIBRARY	1								// displayed in the System List
#define OBJ_DEVICE	2								// Browser utility.
#define OBJ_TASK		3
#define OBJ_PORT		4
#define OBJ_RESOURCE	5
#define OBJ_FONT		6
#define OBJ_VOLUME	7
#define OBJ_ASSIGN	8
#define OBJ_MAXOBJS	9								// Define for checking.

/*--------*/
/* IDCMP: */
/*--------*/
#define SLBWIN_IDCMP	IDCMP_CLOSEWINDOW		|\
							IDCMP_GADGETUP			|\
							IDCMP_GADGETDOWN		|\
							IDCMP_MOUSEMOVE		|\
							IDCMP_NEWSIZE			|\
							IDCMP_MENUPICK			|\
							IDCMP_REFRESHWINDOW	|\
							IDCMP_VANILLAKEY		|\
							IDCMP_RAWKEY			|\
							IDCMP_INTUITICKS
#define SLBWIN_FLAGS	WFLG_SIZEGADGET		|\
							WFLG_SIZEBBOTTOM		|\
							WFLG_DRAGBAR			|\
							WFLG_DEPTHGADGET		|\
							WFLG_CLOSEGADGET		|\
							WFLG_ACTIVATE

/*-------*/
/* Keys: */
/*-------*/
#define HELP_KEY		95								// Help rawkey-code.
#define TAB_KEY		66								// Tabulator key.
#define ESC_KEY		69								// Esc rawkey-code.
#define SPACE_KEY		64								// Space rawkey-code.

/*-------*/
/* MISC: */
/*-------*/
#define NSIZE				80

