#ifndef DOS_NOTIFY_H
#include <dos/notify.h>
#endif

/**/
/*                         P R E F E R E N C E S								*/
/**/
struct WPrefs
{
	ULONG		wp_PrefsIdentifier;					// Must be 87808270 to be correct.
	UWORD		wp_VolCount;							// Number of volumes to watch.
	UBYTE		wp_VolName				[20] [20];	// VOLUME
	UBYTE		wp_VolNameStrGad		[400];		// String representation of volumes.
	UWORD		wp_VolNameType			[20];			// -a/-m/-k/-b
	UBYTE		wp_VolAlert				[20] [20];	// VOLUMEALERT
	ULONG		wp_VolAlertCount;						// Maximum number of volumes to watch.
	UBYTE		wp_VolAlertStrGad		[400];		// String representation of volalert.
	ULONG		wp_VolAlertLimit		[20];			// -m/-k/-b
	BOOL		wp_Total;								// TOTAL
	BOOL		wp_Fast;									// FAST
	BOOL		wp_Chip;									// CHIP
	BOOL		wp_Largest;								// LARGEST
	BOOL		wp_LargestFast;						// LARGESTFAST
	BOOL		wp_LargestChip;						// LARGESTCHIP
	BOOL		wp_DayOfWeek;							// DAYOFWEEK
	BOOL		wp_Date;									// DATE
	BOOL		wp_Time;									// TIME
	ULONG		wp_WinLeftEdge;						// WINLEFTEDGE
	ULONG		wp_WinTopEdge;							// WINTOPEDGE
	ULONG		wp_WinWidth;							// WINWIDTH
	ULONG		wp_UpdateSec;							// UPDATESEC
	ULONG		wp_UpdateMic;							// UPDATEMIC
	BOOL		wp_NoJumpGadget;						// NOJUMPGADGET
	BOOL		wp_Cpu;									// CPU
	UBYTE		wp_PubScreen			 [80];		// PUBSCREEN
	UBYTE		wp_GuideFile			[256];		// GUIDEFILE
	BOOL		wp_VolumeFreeDirection;				// VOLUMEFREEDIRECTION;
	UBYTE		wp_VolumeFreeDirectionInd [3];	// VOLUMEFREEDIRECTIONINDICATORS
	BOOL		wp_AppInfoAutoStart;					// APPINFOAUTOSTART
	ULONG		wp_AppInfoLeftEdge;					// APPINFOLEFTEDGE
	ULONG		wp_AppInfoTopEdge;					// APPINFOTOPEDGE
	UBYTE		wp_Language [30];						// LANGUAGE
	UWORD		wp_LanguageNum;						// Code number.
	BOOL		wp_TimeFormat24;						// TIME_FORMAT
	UWORD		wp_DateFormat;							// DATE_FORMAT
};

struct NotifyNode
{
	struct Node				nn_Node;
	struct NotifyRequest	nn_NotifyRequest;
};
